# lepton-upcfg

NAME
SYNOPSIS
DESCRIPTION
OPTIONS
AUTHOR
SEE ALSO
COPYRIGHT

## NAME

lepton-upcfg - Lepton EDA configuration upgrade utility

## SYNOPSIS

lepton-upcfg OPTIONS | FILE

## DESCRIPTION

lepton-upcfg converts legacy configuration stored in geda*.conf files to Lepton EDA configuration format used in lepton*.conf files. By default, the result is printed to standard output.

One of the options can be passed on the command line to upgrade the configuration stored in predefined locations. Instead of the options, one can specify the configuration file path to convert and redirect the output to some destination file.

## OPTIONS

-l, --local

Read and upgrade configuration from the geda.conf file in current directory. If -c is specified, write the result to the lepton.conf file in current directory.

-u, --user

Upgrade the user configuration. If multiple user configuration files are found, prompt the user to select which file to use. If -c is specified, write the result to the lepton-user.conf file in $XDG_CONFIG_HOME/lepton-eda directory (typically, ~/.config/lepton-eda).

-c, --copy

Write upgraded configuration to corresponding lepton*.conf file instead of standard ouput.

-x, --overwrite

Overwrite existing files.

-V, --version

Show version information.

-h, --help

Show usage information.

## AUTHOR

dmn <graahnul.grom@gmail.com>

## SEE ALSO

lepton-cli(1)

## COPYRIGHT

Copyright © 2019-2022 Lepton Developers.
License GPLv2+: GNU GPL version 2 or later. Please see the ’COPYING’
file included with this program for full details.

This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.